- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDPhysicsForceFieldInstance Class Reference

A COLLADA force field instance. More...

`#include <FCDPhysicsForceFieldInstance.h>`

Inheritance diagram for FCDPhysicsForceFieldInstance:

List of all members.

## Public Member Functions
virtual | ~FCDPhysicsForceFieldInstance ()
| Destructor.
virtual Type | GetType () const
| Retrieves the entity instance class type.
virtual FCDEntityInstance * | Clone (FCDEntityInstance *clone=NULL) const
| Clones the physics force field instance.
## Protected Member Functions
| FCDPhysicsForceFieldInstance (FCDocument *document, FCDSceneNode *parent, FCDEntity::Type entityType=FCDEntity::FORCE_FIELD)
| Constructor: do not use directly.
## Friends
class | FCDEntityInstanceFactory

## Detailed Description

A COLLADA force field instance.

## Constructor & Destructor Documentation

FCDPhysicsForceFieldInstance::FCDPhysicsForceFieldInstance | ( | FCDocument * | document,
|  | FCDSceneNode * | parent,
|  | FCDEntity::Type | entityType = `FCDEntity::FORCE_FIELD`
| ) | `[protected]`

  | Constructor: do not use directly. Create new physics force fields using the FCDEntityInstanceFactory::CreateInstance function. Parameters:
  | document | The COLLADA document that contains this physics model instance.
  | parent | The parent node for this force field. At the time of writing, this should be NULL since only parents are physics model instances and physics scene.
  | entityType | The entity type: FORCE_FIELD.

## Member Function Documentation

virtual FCDEntityInstance* FCDPhysicsForceFieldInstance::Clone | ( | FCDEntityInstance * | clone = `NULL` | ) | const`[virtual]`

  | Clones the physics force field instance. Parameters:
  | clone | The physics force field instance to become the clone. If this pointer is NULL, a new physics force field instance will be created and you will need to release it.
Returns: The clone. Reimplemented from FCDEntityInstance.

virtual Type FCDPhysicsForceFieldInstance::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity instance class type. This is used to determine the up-class for the entity instance object. Deprecated: Instead use: FCDEntityInstance::HasType( FCDGeometryInstance::GetClassType()) Returns: The class type: PHYSICS_FORCE_FIELD. Reimplemented from FCDEntityInstance.

The documentation for this class was generated from the following file:

- FCDocument/FCDPhysicsForceFieldInstance.h